import { _decorator, Component, Node } from 'cc';
import { da_guai_data } from '../../../data/data';
import { tools } from '../../tools';
const { ccclass, property } = _decorator;

@ccclass('task_da_boss')
export class task_da_boss extends Component {
    @property(Node) btn_setting:Node = null;
    protected m_data:da_guai_data = null;
    public updateView(data:da_guai_data){
        this.m_data = data;
        this.btn_setting.off(Node.EventType.TOUCH_END);
        this.btn_setting.on(Node.EventType.TOUCH_END,()=>{
            tools.select_task_da_guai(this.m_data)
        })
    }
}


